#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct PropertyValueWithCount {
    #[builder(into)]
    #[serde(rename = "propertyValue")]
    property_value: String,
    #[serde(rename = "documentCount")]
    document_count: i32,
}
impl PropertyValueWithCount {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(property_value: impl Into<String>, document_count: i32) -> Self {
        Self::builder()
            .property_value(property_value)
            .document_count(document_count)
            .build()
    }
    #[inline]
    pub fn property_value(&self) -> &str {
        &*self.property_value
    }
    #[inline]
    pub fn document_count(&self) -> i32 {
        self.document_count
    }
}
